Eclipse Platform Release 3.7

## org.eclipse.compare
Class NavigationAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.compare.NavigationAction

All Implemented Interfaces:
  IAction

    public class NavigationAction

extends Action

A `NavigationAction` is used to navigate through the individual differences of a `CompareEditorInput`.

Clients may instantiate this class; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`NavigationAction(boolean next)` Creates a `NavigationAction`.
`NavigationAction(ResourceBundle bundle, boolean next)` Creates a `NavigationAction` that initializes its attributes from the given `ResourceBundle`.

Method Summary
`void` `run()` The default implementation of this `IAction` method does nothing.
`void` `setCompareEditorInput(CompareEditorInput input)` Sets the `CompareEditorInput` on which this action operates.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### NavigationAction

    public NavigationAction(boolean next)

  Creates a `NavigationAction`.

  Parameters:
    `next` - if `true` action goes to the next difference; otherwise to the previous difference.

### NavigationAction

    public NavigationAction(ResourceBundle bundle,
                            boolean next)

  Creates a `NavigationAction` that initializes its attributes from the given `ResourceBundle`.

  Parameters:
    `bundle` - is used to initialize the action
    `next` - if `true` action goes to the next difference; otherwise to the previous difference.

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### setCompareEditorInput

    public void setCompareEditorInput(CompareEditorInput input)

  Sets the `CompareEditorInput` on which this action operates.

  Parameters:
    `input` - the `CompareEditorInput` on which this action operates; if `null` action does nothing

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.